//

/**
 * @template T
 * @param {T[]} array
 * @param {number} length
 */
export function array_shrink_to_size(array, length) {
    const delta = array.length - length;

    if (delta > 0) {
        array.splice(length, delta);
    }
}
